---
lang: en
title: 'API docs: repository.executablerepository'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.executablerepository.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ExecutableRepository](./repository.executablerepository.md)

## ExecutableRepository interface

<b>Signature:</b>

```typescript
export interface ExecutableRepository<T extends Model> extends Repository<T> 
```
<b>Extends:</b> [Repository](./repository.repository.md)

## Methods

|  Method | Description |
|  --- | --- |
|  [execute(command, parameters, options)](./repository.executablerepository.execute.md) | Execute a query with the given parameter object or an array of parameters |


